digiKam Developer Documentation: Digikam::Canvas Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::Canvas Class Reference
Inheritance diagram for Digikam::Canvas:

## Public Slots
void | slotCopy ()
void | slotCrop ()
void | slotFlipHoriz ()
void | slotFlipVert ()
void | slotRedo (int steps=1)
void | slotRestore ()
void | slotRotate180 ()
void | slotRotate270 ()
void | slotRotate90 ()
| image modifiers
void | slotRotateAuto ()
void | slotSelectAll ()
void | slotSelected ()
void | slotSelectionMoved ()
void | slotSelectNone ()
void | slotUndo (int steps=1)

## Signals
void | signalAddedDropedItems (QDropEvent *)
void | signalChanged ()
void | signalLoadingFinished (const QString &filename, bool success)
void | signalLoadingProgress (const QString &filePath, float progress)
void | signalLoadingStarted (const QString &filename)
void | signalPrepareToLoad ()
void | signalRedoSteps (int)
void | signalRightButtonClicked ()
void | signalSavingFinished (const QString &filename, bool success)
void | signalSavingProgress (const QString &filePath, float progress)
void | signalSavingStarted (const QString &filename)
void | signalSelected (bool)
void | signalSelectionChanged (const QRect &)
void | signalSelectionSetText (const QRect &)
void | signalShowNextImage ()
void | signalShowPrevImage ()
void | signalToggleOffFitToWindow ()
void | signalUndoSteps (int)
void | signalZoomChanged (double)
Signals inherited from Digikam::GraphicsDImgView
void | activated ()
void | contentsMoved (bool panningFinished)
void | contentsMoving (int, int)
void | leftButtonClicked ()
void | leftButtonDoubleClicked ()
void | resized ()
void | rightButtonClicked ()
void | signalZoomFactorChanged ()
void | toNextImage ()
void | toPreviousImage ()
void | viewportRectChanged (const QRectF &viewportRect)

## Public Member Functions
| Canvas (QWidget *const parent=nullptr)
void | abortSaving ()
void | applyTransform (const IccTransform &transform)
| Apply Color Management transformation to image (typically working color space).
DImg | currentImage () const
| Return a copy of current image loaded in editor.
QString | currentImageFileFormat () const
| Return the type mime of current image loaded in editor.
QString | currentImageFilePath () const
| Return the file path of current image loaded in editor.
QString | ensureHasCurrentUuid () const
bool | exifRotated () const
| Return true if image have been rotated following Exif information.
void | fitToSelect ()
| Change zoom level to fit current selection on canvas size.
QRect | getSelectedArea () const
| Return the rectangle information of current canvas selection.
int | imageHeight () const
| Return the height of current image loaded in editor.
int | imageWidth () const
| Return the width of current image loaded in editor.
EditorCore * | interface () const
| Return the core interface instance of editor.
bool | isReadOnly () const
| If current image file format is only available in read only, typically all RAW image file formats.
void | load (const QString &filename, IOFileSettings *const IOFileSettings)
void | makeDefaultEditingCanvas ()
void | preload (const QString &filename)
void | resetImage ()
void | setExifOrient (bool exifOrient)
| Rotate image following Exif information.
void | setExposureSettings (ExposureSettingsContainer *const expoSettings)
| Apply under.over exposure indicator settings.
void | setICCSettings (const ICCSettingsContainer &cmSettings)
| Apply Color management settings (typically screen profile).
void | setModified ()
void | setSoftProofingEnabled (bool enable)
| Turn on/off Color Management Soft proofing mode.
Public Member Functions inherited from Digikam::GraphicsDImgView
| GraphicsDImgView (QWidget *const parent=nullptr)
int | contentsX () const
int | contentsY () const
void | drawText (QPainter *p, const QRectF &rect, const QString &text)
void | fitToWindow ()
bool | isMagnifierVisible () const
GraphicsDImgItem * | item () const
| Return the instance of item set by setItem().
SinglePhotoPreviewLayout * | layout () const
int | magnifierSize () const
qreal | magnifierZoomFactor () const
DImgPreviewItem * | previewItem () const
void | scrollPointOnPoint (const QPointF &scenePos, const QPoint &viewportPos)
| Scrolls the view such that scenePos (in scene coordinates is displayed on the viewport at viewportPos (in viewport coordinates).
void | setContentsPos (int x, int y)
void | setItem (GraphicsDImgItem *const item)
| Store internal instance of item as GraphicsDImgItem.
void | setMagnifierSize (int size)
void | setMagnifierVisible (bool b)
void | setMagnifierZoomFactor (qreal factor)
void | toggleFullScreen (bool set)
QRect | visibleArea () const

## Protected Member Functions
void | addRubber ()
void | dragEnterEvent (QDragEnterEvent *) override
void | dragMoveEvent (QDragMoveEvent *) override
void | dropEvent (QDropEvent *) override
void | keyPressEvent (QKeyEvent *) override
void | mousePressEvent (QMouseEvent *) override
Protected Member Functions inherited from Digikam::GraphicsDImgView
virtual bool | acceptsMouseClick (QMouseEvent *e)
void | continuePanning (const QPoint &pos)
void | drawForeground (QPainter *painter, const QRectF &rect) override
virtual bool | event (QEvent *) override
void | finishPanning ()
PanIconWidget * | installPanIcon ()
virtual void | mouseDoubleClickEvent (QMouseEvent *) override
virtual void | mouseMoveEvent (QMouseEvent *) override
virtual void | mouseReleaseEvent (QMouseEvent *) override
virtual void | resizeEvent (QResizeEvent *) override
virtual void | scrollContentsBy (int dx, int dy) override
void | setScaleFitToWindow (bool value)
void | setShowText (bool value)
void | startPanning (const QPoint &pos)
void | updatePanIconWidget ()
virtual bool | viewportEvent (QEvent *) override
virtual void | wheelEvent (QWheelEvent *) override

## Additional Inherited Members
Protected Slots inherited from Digikam::GraphicsDImgView
void | slotContentsMoved ()
virtual void | slotPanIconSelectionMoved (const QRect &, bool)
void | slotRefreshPanIconSelection ()
void | slotZoomFactorChanged ()

## Member Function Documentation

## ◆ mousePressEvent()

void Digikam::Canvas::mousePressEvent | ( | QMouseEvent * | event | ) |
| overrideprotectedvirtual

Reimplemented from Digikam::GraphicsDImgView.